#ifndef SIMULATION_H
#define SIMULATION_H

#include "packet.h"
#include <vector>
#include <cstddef>

class Simulation
{
    std::vector<InitClientPacket> worldData;
public:
    Simulation();
    std::vector<InitClientPacket>* getWorldData();
    void addClient();
    void removeClient(int i);
    void clientInput(int i, const DeltaClientPacket &delta);
    void update();
};

#endif // SIMULATION_H
