QT       += core gui network widgets

DESTDIR = $$relative_path($$bin_dir)

TARGET = SparrowBot
TEMPLATE = app
CONFIG += c++11

LIBS += $$relative_path($$lib_dir/libircbot.a)
INCLUDEPATH += ../ircbot

SOURCES = main.cpp \
    regismodule.cpp \
    sparrowmodule.cpp \
    vocab.cpp \
    poilaumodule.cpp \
    fourasmodule.cpp \
    riddles.cpp \
    todomodule.cpp \
	server.cpp \
    servermodule.cpp \
	simulation.cpp

HEADERS += \
    regismodule.h \
    sparrowmodule.h \
    vocab.h \
    poilaumodule.h \
    fourasmodule.h \
    riddles.h \
    todomodule.h \
	packet.h \
	server.h \
    servermodule.h \
	simulation.h
