#ifndef PACKET_H
#define PACKET_H

enum PacketType
{
    INIT_CLIENT,
    DELTA_CLIENT,
    INIT_SERVER
};

struct InitClientPacket
{
    float x;
    float y;
    float angle;
    float vforward;
    float vangle;
};

struct DeltaClientPacket
{
    float dvforward;
    float dvangle;
};

struct InitServerPacket
{
    unsigned int nbClients;
    unsigned int idClient;
    // InitClientPacket list = sizeof(InitClientPacket)*nbClients
    // map ?
};

#endif // PACKET_H

